# SPDX-License-Identifier: CC0-1.0

{ testEnv, pkgs, depot, hostPkgs, ... }:
with pkgs;

testEnv.mkTest {
  name = "driver_manager";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];
  testEnv = { drivers = ./../compositions/pc-drivers.dhall; };
  testInputs = (with pkgs; [ genodeTests driver_manager ]) ++ (with depot; [
    boot_fb_drv
    intel_fb_drv
    usb_drv
    vesa_drv
  ]);
  testScript = ''
    catch { exec dd if=/dev/zero of=hdd_disk.raw bs=1M count=32 }
    catch { exec ${hostPkgs.e2fsprogs}/bin/mke2fs -F bin/hdd_disk.raw }
    run_genode_until {.*all expected devices present and accessible.*} 120
    '';
  testConfig = ''
    { config = ${./driver_manager.dhall}
    , rom = ${./driver_manager.rom.dhall}
    }
  '';
  qemuArgs = [ "-device ahci,id=ahci" "-drive id=hdd,file=hdd_disk.raw,format=raw,if=none" "-device ide-hd,drive=hdd,bus=ahci.1"];
}
