let Genode = env:DHALL_GENODE

let manifest = env:MANIFEST

in    Genode.Boot.toRomPaths
        [ manifest.driver_manager.bin.driver_manager
        , manifest.genode-tests.bin.test-driver_manager
        , manifest.os.bin.acpi_drv
        , manifest.os.bin.ahci_drv
        , manifest.os.bin.dynamic_rom
        , manifest.os.bin.input_filter
        , manifest.os.bin.platform_drv
        , manifest.os.bin.ps2_drv
        , manifest.os.bin.report_rom
        , manifest.os.bin.rom_reporter
        , manifest.os.bin.rtc_drv
        , manifest.usb_drv.bin.usb_drv
        , manifest.vesa_drv.bin.vesa_fb_drv
        ]
    # Genode.Boot.toRomTexts
        (   toMap
              { usb_policy = "<usb/>" }
          # [ { mapKey =
                  "fb_drv.config"
              , mapValue =
                  ''
                  <config width="1024" height="768" buffered="yes"/>
                  	<report connectors="yes"/>
                  </config>
                  ''
              }
            , { mapKey =
                  "input_filter.config"
              , mapValue =
                  ''
                  <config>
                  	<input label="ps2"/>
                  	<input label="usb"/>
                  	<output>
                  		<chargen>
                  			<remap>
                  				<key name="KEY_F11"      to="KEY_RESTART"/>
                  				<key name="KEY_F12"      to="KEY_DASHBOARD"/>
                  				<key name="KEY_LEFTMETA" to="KEY_SCREEN"/>
                  				<merge>
                  					<accelerate max="50" sensitivity_percent="1000" curve="127">
                  						<button-scroll>
                  							<input name="ps2"/>
                  							<vertical   button="BTN_MIDDLE" speed_percent="-10"/>
                  							<horizontal button="BTN_MIDDLE" speed_percent="-10"/>
                  						</button-scroll>
                  					</accelerate>
                  					<input name="usb"/>
                  				</merge>
                  			</remap>
                  			<mod1>
                  				<key name="KEY_LEFTSHIFT"/> <key name="KEY_RIGHTSHIFT"/>
                  			</mod1>
                  			<mod2>
                  				<key name="KEY_LEFTCTRL"/> <key name="KEY_RIGHTCTRL"/>
                  			</mod2>
                  			<mod3>
                  				<key name="KEY_RIGHTALT"/> <!-- AltGr -->
                  			</mod3>
                  			<repeat delay_ms="230" rate_ms="40"/>
                  		</chargen>
                  	</output>
                  </config>
                  ''
              }
            ]
        )
